"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.AccessibilityWrapperView = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _AccessibilityWrapper = _interopRequireDefault(require("./AccessibilityWrapper"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const LINKING_ERROR = `The package 'react-native-accessibility-wrapper' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const ComponentName = 'AccessibilityWrapper';
const AccessibilityWrapperView = props => {
  const isComponentLinked = _reactNative.UIManager.getViewManagerConfig(ComponentName) !== null;
  const isIOS = _reactNative.Platform.OS === 'ios';
  if (!isComponentLinked && isIOS) {
    throw new Error(LINKING_ERROR);
  }
  if (isComponentLinked && isIOS) {
    return /*#__PURE__*/_react.default.createElement(_AccessibilityWrapper.default, props);
  } else {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, props);
  }
};
exports.AccessibilityWrapperView = AccessibilityWrapperView;
var _default = exports.default = AccessibilityWrapperView;
//# sourceMappingURL=index.js.map