import React from 'react';
import { UIManager, Platform, View } from 'react-native';
import AccessibilityWrapper from './AccessibilityWrapper';
const LINKING_ERROR = `The package 'react-native-accessibility-wrapper' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const ComponentName = 'AccessibilityWrapper';
export const AccessibilityWrapperView = props => {
  const isComponentLinked = UIManager.getViewManagerConfig(ComponentName) !== null;
  const isIOS = Platform.OS === 'ios';
  if (!isComponentLinked && isIOS) {
    throw new Error(LINKING_ERROR);
  }
  if (isComponentLinked && isIOS) {
    return /*#__PURE__*/React.createElement(AccessibilityWrapper, props);
  } else {
    return /*#__PURE__*/React.createElement(View, props);
  }
};
export default AccessibilityWrapperView;
//# sourceMappingURL=index.js.map